[arch-commits] Commit in man-db/repos (10 files)

Andreas Radke andyrtr at nymeria.archlinux.org
Mon Jun 24 18:26:17 UTC 2013


    Date: Monday, June 24, 2013 @ 20:26:17
  Author: andyrtr
Revision: 188902

archrelease: copy trunk to testing-i686, testing-x86_64

Added:
  man-db/repos/testing-i686/
  man-db/repos/testing-i686/PKGBUILD
    (from rev 188901, man-db/trunk/PKGBUILD)
  man-db/repos/testing-i686/convert-mans
    (from rev 188901, man-db/trunk/convert-mans)
  man-db/repos/testing-i686/man-db.cron.daily
    (from rev 188901, man-db/trunk/man-db.cron.daily)
  man-db/repos/testing-i686/man-db.install
    (from rev 188901, man-db/trunk/man-db.install)
  man-db/repos/testing-x86_64/
  man-db/repos/testing-x86_64/PKGBUILD
    (from rev 188901, man-db/trunk/PKGBUILD)
  man-db/repos/testing-x86_64/convert-mans
    (from rev 188901, man-db/trunk/convert-mans)
  man-db/repos/testing-x86_64/man-db.cron.daily
    (from rev 188901, man-db/trunk/man-db.cron.daily)
  man-db/repos/testing-x86_64/man-db.install
    (from rev 188901, man-db/trunk/man-db.install)

----------------------------------+
 testing-i686/PKGBUILD            |   61 +++++++++++++++++++++++++++++++++++++
 testing-i686/convert-mans        |   11 ++++++
 testing-i686/man-db.cron.daily   |   39 +++++++++++++++++++++++
 testing-i686/man-db.install      |   22 +++++++++++++
 testing-x86_64/PKGBUILD          |   61 +++++++++++++++++++++++++++++++++++++
 testing-x86_64/convert-mans      |   11 ++++++
 testing-x86_64/man-db.cron.daily |   39 +++++++++++++++++++++++
 testing-x86_64/man-db.install    |   22 +++++++++++++
 8 files changed, 266 insertions(+)

Copied: man-db/repos/testing-i686/PKGBUILD (from rev 188901, man-db/trunk/PKGBUILD)
===================================================================
--- testing-i686/PKGBUILD	                        (rev 0)
+++ testing-i686/PKGBUILD	2013-06-24 18:26:17 UTC (rev 188902)
@@ -0,0 +1,61 @@
+# $Id$
+# Maintainer: Andreas Radke <andyrtr at archlinux.org>
+# Contributor: Sergej Pupykin <sergej at aur.archlinux.org>
+
+pkgname=man-db
+pkgver=2.6.4
+pkgrel=1
+pkgdesc="A utility for reading man pages"
+arch=('i686' 'x86_64')
+url="http://www.nongnu.org/man-db/"
+license=('GPL' 'LGPL')
+groups=('base')
+depends=( 'bash' 'gdbm' 'zlib' 'groff' 'libpipeline' 'less')
+optdepends=('gzip')
+backup=('etc/man_db.conf'
+	    'etc/cron.daily/man-db')
+conflicts=('man')
+provides=('man')
+replaces=('man')
+install=${pkgname}.install
+source=(http://savannah.nongnu.org/download/man-db/$pkgname-$pkgver.tar.xz{,.sig}
+        convert-mans man-db.cron.daily)
+options=('!libtool')
+md5sums=('66d9274637841a43374744efb83cc716'
+         'SKIP'
+         '2b7662a7d5b33fe91f9f3e034361a2f6'
+         '934fd047fecb915038bf4bf844ea609c')
+
+build() {
+  cd ${srcdir}/${pkgname}-${pkgver}
+  ./configure --prefix=/usr \
+    --sbindir=/usr/bin \
+    --sysconfdir=/etc \
+    --libexecdir=/usr/lib \
+	--with-db=gdbm \
+	--disable-setuid \
+	--enable-mandirs=GNU \
+	--with-sections="1 n l 8 3 0 2 5 4 9 6 7"
+  make
+}
+
+check() {
+  cd ${srcdir}/${pkgname}-${pkgver}
+  make -k check
+}
+
+package() {
+  cd ${srcdir}/${pkgname}-${pkgver}
+  make DESTDIR=${pkgdir} install
+
+  # part of groff pkg
+  rm -f ${pkgdir}/usr/bin/zsoelim
+
+  # script from LFS to convert manpages, see
+  # http://www.linuxfromscratch.org/lfs/view/6.4/chapter06/man-db.html
+  install -D -m755 ${srcdir}/convert-mans  ${pkgdir}/usr/bin/convert-mans 
+
+  #install whatis cron script
+  install -D -m744 ${srcdir}/man-db.cron.daily ${pkgdir}/etc/cron.daily/man-db
+}
+

Copied: man-db/repos/testing-i686/convert-mans (from rev 188901, man-db/trunk/convert-mans)
===================================================================
--- testing-i686/convert-mans	                        (rev 0)
+++ testing-i686/convert-mans	2013-06-24 18:26:17 UTC (rev 188902)
@@ -0,0 +1,11 @@
+#!/bin/sh -e
+FROM="$1"
+TO="$2"
+shift ; shift
+while [ $# -gt 0 ]
+do
+        FILE="$1"
+        shift
+        iconv -f "$FROM" -t "$TO" "$FILE" >.tmp.iconv
+        mv .tmp.iconv "$FILE"
+done

Copied: man-db/repos/testing-i686/man-db.cron.daily (from rev 188901, man-db/trunk/man-db.cron.daily)
===================================================================
--- testing-i686/man-db.cron.daily	                        (rev 0)
+++ testing-i686/man-db.cron.daily	2013-06-24 18:26:17 UTC (rev 188902)
@@ -0,0 +1,39 @@
+#!/bin/sh
+
+# nicenesses range from -20 (most favorable scheduling) to 19 (least favorable)
+NICE=19
+
+# 0 for none, 1 for real time, 2 for best-effort, 3 for idle
+IONICE_CLASS=2
+
+# 0-7 (for IONICE_CLASS 1 and 2 only), 0=highest, 7=lowest
+IONICE_PRIORITY=7
+
+UPDATEMANDB="/usr/bin/mandb --quiet"
+
+# Update the "whatis" database
+#/usr/bin/makewhatis -u -w
+
+# taken from Debian
+# man-db cron daily
+set -e
+
+if ! [ -d /var/cache/man ]; then
+    # Recover from deletion, per FHS.
+    mkdir -p /var/cache/man
+    chmod 755 /var/cache/man
+fi
+
+# regenerate man database
+
+if [ -x /usr/bin/nice ]; then
+  UPDATEMANDB="/usr/bin/nice -n ${NICE:-19} ${UPDATEMANDB}"
+fi
+
+if [ -x /usr/bin/ionice ]; then
+  UPDATEMANDB="/usr/bin/ionice -c ${IONICE_CLASS:-2} -n ${IONICE_PRIORITY:-7} ${UPDATEMANDB}"
+fi
+
+${UPDATEMANDB}
+
+exit 0

Copied: man-db/repos/testing-i686/man-db.install (from rev 188901, man-db/trunk/man-db.install)
===================================================================
--- testing-i686/man-db.install	                        (rev 0)
+++ testing-i686/man-db.install	2013-06-24 18:26:17 UTC (rev 188902)
@@ -0,0 +1,22 @@
+post_install() {
+  echo "it's recommended to create an initial"
+  echo "database running as root:"
+  echo "\"/usr/bin/mandb --quiet\""
+}
+
+post_upgrade() {
+  if [ "`vercmp $2 2.5.3-2`" -lt 0 ]; then
+     echo "systemuser \"man\" is no more required"
+     echo "run \"userdel man\". please also"
+     echo "chown root:root /var/cache/man"
+  fi
+  # force database rebuild to get rid off badly imported pages
+  if [ "`vercmp $2 2.6.0.2`" -lt 0 ]; then
+     echo "(re)building database..."
+     mandb -c --quiet
+  fi
+}
+
+post_remove() {
+  rm -rf /var/cache/man
+}

Copied: man-db/repos/testing-x86_64/PKGBUILD (from rev 188901, man-db/trunk/PKGBUILD)
===================================================================
--- testing-x86_64/PKGBUILD	                        (rev 0)
+++ testing-x86_64/PKGBUILD	2013-06-24 18:26:17 UTC (rev 188902)
@@ -0,0 +1,61 @@
+# $Id$
+# Maintainer: Andreas Radke <andyrtr at archlinux.org>
+# Contributor: Sergej Pupykin <sergej at aur.archlinux.org>
+
+pkgname=man-db
+pkgver=2.6.4
+pkgrel=1
+pkgdesc="A utility for reading man pages"
+arch=('i686' 'x86_64')
+url="http://www.nongnu.org/man-db/"
+license=('GPL' 'LGPL')
+groups=('base')
+depends=( 'bash' 'gdbm' 'zlib' 'groff' 'libpipeline' 'less')
+optdepends=('gzip')
+backup=('etc/man_db.conf'
+	    'etc/cron.daily/man-db')
+conflicts=('man')
+provides=('man')
+replaces=('man')
+install=${pkgname}.install
+source=(http://savannah.nongnu.org/download/man-db/$pkgname-$pkgver.tar.xz{,.sig}
+        convert-mans man-db.cron.daily)
+options=('!libtool')
+md5sums=('66d9274637841a43374744efb83cc716'
+         'SKIP'
+         '2b7662a7d5b33fe91f9f3e034361a2f6'
+         '934fd047fecb915038bf4bf844ea609c')
+
+build() {
+  cd ${srcdir}/${pkgname}-${pkgver}
+  ./configure --prefix=/usr \
+    --sbindir=/usr/bin \
+    --sysconfdir=/etc \
+    --libexecdir=/usr/lib \
+	--with-db=gdbm \
+	--disable-setuid \
+	--enable-mandirs=GNU \
+	--with-sections="1 n l 8 3 0 2 5 4 9 6 7"
+  make
+}
+
+check() {
+  cd ${srcdir}/${pkgname}-${pkgver}
+  make -k check
+}
+
+package() {
+  cd ${srcdir}/${pkgname}-${pkgver}
+  make DESTDIR=${pkgdir} install
+
+  # part of groff pkg
+  rm -f ${pkgdir}/usr/bin/zsoelim
+
+  # script from LFS to convert manpages, see
+  # http://www.linuxfromscratch.org/lfs/view/6.4/chapter06/man-db.html
+  install -D -m755 ${srcdir}/convert-mans  ${pkgdir}/usr/bin/convert-mans 
+
+  #install whatis cron script
+  install -D -m744 ${srcdir}/man-db.cron.daily ${pkgdir}/etc/cron.daily/man-db
+}
+

Copied: man-db/repos/testing-x86_64/convert-mans (from rev 188901, man-db/trunk/convert-mans)
===================================================================
--- testing-x86_64/convert-mans	                        (rev 0)
+++ testing-x86_64/convert-mans	2013-06-24 18:26:17 UTC (rev 188902)
@@ -0,0 +1,11 @@
+#!/bin/sh -e
+FROM="$1"
+TO="$2"
+shift ; shift
+while [ $# -gt 0 ]
+do
+        FILE="$1"
+        shift
+        iconv -f "$FROM" -t "$TO" "$FILE" >.tmp.iconv
+        mv .tmp.iconv "$FILE"
+done

Copied: man-db/repos/testing-x86_64/man-db.cron.daily (from rev 188901, man-db/trunk/man-db.cron.daily)
===================================================================
--- testing-x86_64/man-db.cron.daily	                        (rev 0)
+++ testing-x86_64/man-db.cron.daily	2013-06-24 18:26:17 UTC (rev 188902)
@@ -0,0 +1,39 @@
+#!/bin/sh
+
+# nicenesses range from -20 (most favorable scheduling) to 19 (least favorable)
+NICE=19
+
+# 0 for none, 1 for real time, 2 for best-effort, 3 for idle
+IONICE_CLASS=2
+
+# 0-7 (for IONICE_CLASS 1 and 2 only), 0=highest, 7=lowest
+IONICE_PRIORITY=7
+
+UPDATEMANDB="/usr/bin/mandb --quiet"
+
+# Update the "whatis" database
+#/usr/bin/makewhatis -u -w
+
+# taken from Debian
+# man-db cron daily
+set -e
+
+if ! [ -d /var/cache/man ]; then
+    # Recover from deletion, per FHS.
+    mkdir -p /var/cache/man
+    chmod 755 /var/cache/man
+fi
+
+# regenerate man database
+
+if [ -x /usr/bin/nice ]; then
+  UPDATEMANDB="/usr/bin/nice -n ${NICE:-19} ${UPDATEMANDB}"
+fi
+
+if [ -x /usr/bin/ionice ]; then
+  UPDATEMANDB="/usr/bin/ionice -c ${IONICE_CLASS:-2} -n ${IONICE_PRIORITY:-7} ${UPDATEMANDB}"
+fi
+
+${UPDATEMANDB}
+
+exit 0

Copied: man-db/repos/testing-x86_64/man-db.install (from rev 188901, man-db/trunk/man-db.install)
===================================================================
--- testing-x86_64/man-db.install	                        (rev 0)
+++ testing-x86_64/man-db.install	2013-06-24 18:26:17 UTC (rev 188902)
@@ -0,0 +1,22 @@
+post_install() {
+  echo "it's recommended to create an initial"
+  echo "database running as root:"
+  echo "\"/usr/bin/mandb --quiet\""
+}
+
+post_upgrade() {
+  if [ "`vercmp $2 2.5.3-2`" -lt 0 ]; then
+     echo "systemuser \"man\" is no more required"
+     echo "run \"userdel man\". please also"
+     echo "chown root:root /var/cache/man"
+  fi
+  # force database rebuild to get rid off badly imported pages
+  if [ "`vercmp $2 2.6.0.2`" -lt 0 ]; then
+     echo "(re)building database..."
+     mandb -c --quiet
+  fi
+}
+
+post_remove() {
+  rm -rf /var/cache/man
+}




More information about the arch-commits mailing list